# Class ValueInfoMetamapGroup

java.lang.Object
uk.ac.starlink.datanode.nodes.MetamapGroup
uk.ac.starlink.datanode.nodes.ValueInfoMetamapGroup

Direct Known Subclasses:
  `ColumnsMetamapGroup`

public class ValueInfoMetamapGroup extends MetamapGroup
A MetamapGroup which describes a set of `ValueInfo` objects.

Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CLASS_KEY`
`static final String`
`DESCRIPTION_KEY`
`static final String`
`INDEX_KEY`
`static final String`
`NAME_KEY`
`static final String`
`NULLABLE_KEY`
`static final String`
`SHAPE_KEY`
`static final String`
`UCD_DESCRIPTION_KEY`
`static final String`
`UCD_KEY`
`static final String`
`UNITS_KEY`
`static final String`
`VALUE_KEY`

## Constructor Summary

Constructors
Constructor
Description
`ValueInfoMetamapGroup(List infos)`
Constructs a ValueInfoMetamapGroup from a List value metadata objects.

## Method Summary

### Methods inherited from class MetamapGroup

`addEntry, getEntry, getKeyOrder, getKnownKeys, getMetamaps, getNumMaps, hasEntry, setKeyOrder`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INDEX_KEY

public static final String INDEX_KEY

See Also:
  - Constant Field Values

### NAME_KEY

public static final String NAME_KEY

See Also:
  - Constant Field Values

### CLASS_KEY

public static final String CLASS_KEY

See Also:
  - Constant Field Values

### SHAPE_KEY

public static final String SHAPE_KEY

See Also:
  - Constant Field Values

### VALUE_KEY

public static final String VALUE_KEY

See Also:
  - Constant Field Values

### UNITS_KEY

public static final String UNITS_KEY

See Also:
  - Constant Field Values

### DESCRIPTION_KEY

public static final String DESCRIPTION_KEY

See Also:
  - Constant Field Values

### UCD_KEY

public static final String UCD_KEY

See Also:
  - Constant Field Values

### UCD_DESCRIPTION_KEY

public static final String UCD_DESCRIPTION_KEY

See Also:
  - Constant Field Values

### NULLABLE_KEY

public static final String NULLABLE_KEY

See Also:
  - Constant Field Values

## Constructor Details

### ValueInfoMetamapGroup

public ValueInfoMetamapGroup(List infos)
Constructs a ValueInfoMetamapGroup from a List value metadata objects. Each element of the supplied list may be either a ValueInfo or a DescribedValue.